Update an issue
curl --request PATCH \
--url https://app.ilitylabs.com/v1/issues/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: '<string>',
assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_url: '<string>',
label_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.ilitylabs.com/v1/issues/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues/{id}"
payload = {
"note": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"label_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"fingerprint": "<string>",
"severity": "critical",
"status": "open",
"latest_help_text": "<string>",
"app_url": "<string>",
"external_url": "<string>",
"external_provider": "github",
"external_ref": "<string>",
"external_key": "<string>",
"external_linked_at": "2023-11-07T05:31:56Z",
"engine": "<string>",
"engine_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"assignee": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"avatar_url": "<string>"
},
"comment_count": 123,
"instance_count": 123,
"page_count": 123,
"embed_origin": "<string>",
"rule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"help_text": "<string>",
"why_it_matters": "<string>",
"affected_groups": [
"<string>"
],
"wcag_criteria": [
{
"criterion_id": "<string>",
"level": "<string>",
"name": "<string>",
"understanding_url": "<string>"
}
],
"frameworks": [
"<string>"
]
},
"representative_instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_fingerprint": "<string>",
"status": "open",
"severity": "critical",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>",
"dom_context": {},
"latest_help_text": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"findings": [
{
"element_snippet": "<string>",
"found_at": "2023-11-07T05:31:56Z"
}
],
"has_screenshot": true,
"has_source": true,
"evidence_kind": "screenshot",
"evidence_is_current": true,
"scan_page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"element_marker": 123
},
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"active_recheck": {
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pages_queued": 1,
"requested_at": "2023-11-07T05:31:56Z",
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"pages_done": 1,
"pages_failed": 1,
"done_through": "<string>"
}
]
}
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Issues
Update an issue
Changes an issue’s status, assignee, labels, or external link. Send label_ids as the issue’s full set of labels. A status change can carry a short note, which appears on the timeline.
PATCH
/
v1
/
issues
/
{id}
Update an issue
curl --request PATCH \
--url https://app.ilitylabs.com/v1/issues/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: '<string>',
assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_url: '<string>',
label_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.ilitylabs.com/v1/issues/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues/{id}"
payload = {
"note": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_url": "<string>",
"label_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"fingerprint": "<string>",
"severity": "critical",
"status": "open",
"latest_help_text": "<string>",
"app_url": "<string>",
"external_url": "<string>",
"external_provider": "github",
"external_ref": "<string>",
"external_key": "<string>",
"external_linked_at": "2023-11-07T05:31:56Z",
"engine": "<string>",
"engine_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"assignee": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"avatar_url": "<string>"
},
"comment_count": 123,
"instance_count": 123,
"page_count": 123,
"embed_origin": "<string>",
"rule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"help_text": "<string>",
"why_it_matters": "<string>",
"affected_groups": [
"<string>"
],
"wcag_criteria": [
{
"criterion_id": "<string>",
"level": "<string>",
"name": "<string>",
"understanding_url": "<string>"
}
],
"frameworks": [
"<string>"
]
},
"representative_instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_fingerprint": "<string>",
"status": "open",
"severity": "critical",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>",
"dom_context": {},
"latest_help_text": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"findings": [
{
"element_snippet": "<string>",
"found_at": "2023-11-07T05:31:56Z"
}
],
"has_screenshot": true,
"has_source": true,
"evidence_kind": "screenshot",
"evidence_is_current": true,
"scan_page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"element_marker": 123
},
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"active_recheck": {
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pages_queued": 1,
"requested_at": "2023-11-07T05:31:56Z",
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"pages_done": 1,
"pages_failed": 1,
"done_through": "<string>"
}
]
}
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Authorizations
Body
application/json
Response
OK